
Name:           git-repair
Version:        1.20220404
Release:    1%{?dist}
Summary:        Repairs a damaged git repository

License:        AGPL-3.0-or-later
Url:            https://hackage.haskell.org/package/%{name}
Source0:        https://hackage.haskell.org/package/%{name}-%{version}/%{name}-%{version}.tar.gz
Patch0:         git-repair-unix-compat.patch

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-IfElse-devel
BuildRequires:  ghc-QuickCheck-devel
BuildRequires:  ghc-async-devel
BuildRequires:  ghc-attoparsec-devel
BuildRequires:  ghc-base-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-data-default-devel
BuildRequires:  ghc-deepseq-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-exceptions-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-filepath-bytestring-devel
BuildRequires:  ghc-hslogger-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-network-devel
BuildRequires:  ghc-network-uri-devel
BuildRequires:  ghc-optparse-applicative-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-split-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-unix-devel
BuildRequires:  ghc-unix-compat-devel
BuildRequires:  ghc-utf8-string-devel
BuildRequires:  git-core
Requires:       git-core

%description
Git-repair can repair various forms of damage to git repositories.

It is a complement to git fsck, which finds problems, but does not fix them.

As well as avoiding the need to rm -rf a damaged repository and re-clone, using
git-repair can help rescue commits you've made to the damaged repository and
not yet pushed out.


%prep
%setup -q
%autopatch -p1


%build
%ghc_bin_build


%install
%ghc_bin_install
mkdir -p %{buildroot}%{_datadir}/bash-completion/completions/
%{buildroot}%{_bindir}/%{name} --bash-completion-script %{name} | sed s/filenames/default/ > %{buildroot}%{_datadir}/bash-completion/completions/%{name}


%files
%license COPYRIGHT
%doc CHANGELOG TODO
%{_bindir}/%{name}
%{_datadir}/bash-completion/completions/%{name}


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.20220404-1
- initial build
